Package io.dapr.v1

# Interface DaprProtos.GetSecretRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetSecretRequest`, `DaprProtos.GetSecretRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.GetSecretRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `containsMetadata​(java.lang.String key)` | The metadata which will be sent to secret store components.
  `java.lang.String` | `getKey()` | The name of secret key.
  `com.google.protobuf.ByteString` | `getKeyBytes()` | The name of secret key.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadata()` | Deprecated.
  `int` | `getMetadataCount()` | The metadata which will be sent to secret store components.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadataMap()` | The metadata which will be sent to secret store components.
  `java.lang.String` | `getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)` | The metadata which will be sent to secret store components.
  `java.lang.String` | `getMetadataOrThrow​(java.lang.String key)` | The metadata which will be sent to secret store components.
  `java.lang.String` | `getStoreName()` | The name of secret store.
  `com.google.protobuf.ByteString` | `getStoreNameBytes()` | The name of secret store.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getStoreName

    java.lang.String getStoreName()

         The name of secret store.

    `string store_name = 1;`
    Returns:
      The storeName.

  - ### getStoreNameBytes

    com.google.protobuf.ByteString getStoreNameBytes()

         The name of secret store.

    `string store_name = 1;`
    Returns:
      The bytes for storeName.

  - ### getKey

    java.lang.String getKey()

         The name of secret key.

    `string key = 2;`
    Returns:
      The key.

  - ### getKeyBytes

    com.google.protobuf.ByteString getKeyBytes()

         The name of secret key.

    `string key = 2;`
    Returns:
      The bytes for key.

  - ### getMetadataCount

    int getMetadataCount()

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`

  - ### containsMetadata

    boolean containsMetadata​(java.lang.String key)

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`

  - ### getMetadata

    @Deprecated java.util.Map<java.lang.String,​java.lang.String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.

  - ### getMetadataMap

    java.util.Map<java.lang.String,​java.lang.String> getMetadataMap()

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`

  - ### getMetadataOrDefault

    java.lang.String getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`

  - ### getMetadataOrThrow

    java.lang.String getMetadataOrThrow​(java.lang.String key)

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`